body {
    font-family: Verdana, sans-serif;
    font-size: 0.8em;
    color: #000;
    line-height: 1.25em;
    text-align: justify;
    background: #fda;    
}

/* LINKS */
a, body > section form.delete > input[type="submit"] {
    color: #c00;
    text-decoration: none;
}
a:hover, a:focus, body > section form.delete > input[type="submit"]:hover {
    color: #900;    
    background: #ff6;
    border: 0;
}
.hidden {
    display: none;
}

/* PAGE CENTERING - centering, width of the page */
body > header > section, body > header nav, body > figure > span, body > section, body > footer, body > header.login > h1 {
    margin: 0 auto;
    width: 90%;
    max-width: 980px;
}


/* HEADER */
body > header {
    margin-top:0;    
}

body > header.login {
    background: #c00;
    padding: 1ex 0;    
    text-transform: uppercase;
    color: #fc9;
    border-bottom: 1px solid #900;
}

/** user section - languages, user information */
body > header > section {
    padding: 1ex 0;
    font-size: 0.9em;
    text-align: right;
}
body > header > section img {
    float: left;
    margin-right: 1ex;
    height: 16px;
}
body > header > section > div > strong {    
    color: #003;
}
body > header > section > div > a {
    text-transform: uppercase;
}
/*** available language */
body > header > section a > img{        
    opacity: 0.3;    
    filter: alpha(opacity=30); /* For IE8 and earlier */
    border: 1px solid #fc6;
}
/*** selected language */
body > header > section li > img{    
    border: 1px solid #fc9;
}

/** navigation - gradient = 100%, navigation <= 980px */
body > header > div#gradient {
    width: 100%;
    background: #c00;
    border-top: 1px solid #300;
    border-bottom: 1px solid #300;
}
body > header nav {    
    text-align: right;
    color: #ff9;    
    line-height: 3em;
}
/** Logo */
body > header nav > a > img {
    float: left;
    margin-right: 1em;
    height: 30px;
    margin-top: 3px;
}
/** Main menu */
body > header nav ul {
    z-index: 1000;    
}
body > header nav > ul > li {
    display: inline-block;
    margin-left: 1.5em;
    text-transform: uppercase;
}
body > header nav > ul > li img.help {
    position: relative;
    top: 5px;
}
body > header nav > ul > li a:hover, body > header nav > ul > li a:focus {
    background: #e00;    
    color: #fff;
}
body > header nav > ul > li a {    
    color: #ff9;    
    background: none;
    display: block;
    padding: 0 2ex;
}
/** Selected item from main menu */
body > header nav > ul > li.selected {    
    background: #e00;
}
body > header nav > ul > li.selected > a {
    color: #ff6;
}
/** Submenu */
body > header nav > ul > li > ul {
    display: none;
    text-transform: none;
}
body > header nav > ul > li:hover > ul {    
    display: block;
    position: absolute;
    text-align: left;
    background: #000;
    border-top: 0;
    padding: 1ex 0;
}
body > header nav > ul > li:hover > ul > li {
    margin: 0;
}
/** Submenu item hover */
body > header nav > ul > li:hover > ul > li > a {    
    padding: 0 0.5ex;
    line-height: 2em;
    color: #fc9;
}
body > header nav > ul > li:hover > ul > li > a:hover {
    background: #c00;
    color: #ff9;
}

/* MESSAGE SECTION - succes, failure messages */
body > figure {        
    border-bottom: 1px solid #300;
}
body > figure > span {
    display: block;
    padding: 1ex 0;
    color: #fff;
}
body > figure > span > strong {
    display: inline-block;    
    background: white;
    color: #c00;
}
body > figure > span > em {        
    font-style: italic;
}
body > figure > span > em:before {        
    content: '"';
}
body > figure > span > em:after {        
    content: '"';
}
body > figure > span > em {        
    font-style: italic;
}
body > figure.success, body > figure.success span {    
    background: #3c0;
}
body > figure.failure, body > figure.failure span {
    background: #f00;    
}
body > figure.info, body > figure.info span {    
    background: #00f;
}

/* MAIN */
body > section {
    padding: 1ex 0;
}

/* LEFT MENU */
/** Links section in module */
body > section > nav {
    width: 220px;        
    position: relative;
    margin:auto;
    height:auto;
    padding: 1ex 0;
    float: left;
    text-align: right;
    border-right: 2px solid #ffc;
}
body > section > nav > * {    
    padding-right: 1ex;
}
body > section > nav > h2 {
    text-transform: uppercase;
    line-height: 1.5em;
    background: #ffa;
}
body > section > nav > h2:hover {
    background: #ff9;
}
body > section > nav > h2 > span {
    display: block;
    font-size: 0.8em;
}
body > section > nav > h2 > span > a {
    color: #003;
}
body > section > nav > ul {
    margin: 0;
    padding: 0;
}   
body > section > nav > ul > li {
    list-style: none;
    margin: 0;
    margin-bottom: 1ex;
    border-right: 5px solid #ffc;    
}
body > section > nav > ul > li:hover {
    border-right: 5px solid #ff6;
}
body > section > nav > ul > li a {
    display: block;
}
body > section > nav > ul > li a, body > section > nav > ul > li form.delete input[type="submit"] {
    padding: 0 1ex;
}
body > section > nav > ul > li a:hover {
    background: #ff9;
    color: #900;    
}
body > section > nav > ul > li.header {
    padding: 0 2ex;
    color:#003;
    font-size: 0.84em;
    background: #ffc;
    text-transform: uppercase; 
    border-right: 0;
}

/* CONTENT AREA */
body > section > div {            
    min-height: 420px;
    position: relative;
    margin-left: 245px;/* same in jquery.js */    
}
/** headings */
h1, h2, h3, h4 {
    text-transform: uppercase;
}
body > section h1, body > section h1 > a {
    font-size: 1.35em;
    color: #e00;
    margin: 1em 0;
}
body > section h2, body > section h2 > a {
    font-size: 1.1em;
    color: #900;
    margin: 1.2em 0 1ex 0;      
}
body > section h3, body > section h3 > a {
    margin-top: 1em;
    font-size: 1.05em;
    color: #003;
}
body > section > div strong {
    /*color: #005;
    font-style: oblique;*/    
    color: #c00;
    font-size: 0.9em;
}
/** text elements */ 
body > section p {
    margin-bottom: 0.5ex;
}
body > section code, body > section > div > textarea {
    display: inline-block;
    width: 100%;
    margin: 1ex auto;
    padding: 1ex;
    background-color: #fff;
    border: 1px solid #ff6;    
    font-family: "Courier New", Courier, monospace;
    color: #900;
    white-space: pre;
    overflow: auto;
}
body > section > div > textarea {/* its not interpret by html and php*/    
    min-height: 400px;
}
/** forms */
body > section > div > form {
    margin: 1em 0;
}
body > section > div form input, body > section > div form select, body > section > div form textarea {
    background: #fff;
    padding: 0.5ex;
    border: 1px solid #f93;
    color: #300;
    display: block;    
}
body > section > div > form  label {
    color: #300;
    display: block;
    margin-top: 1ex;
}
body > section > div > form  input[readonly="readonly"] {
    background: #ff9;
    color: #900;
}
body > section > div > form  input[type="radio"] {
    display: inline-block;
    margin-bottom: 1ex;
}
body > section > div form  input[type="submit"] {
    margin-top: 1ex;
    background: #ff9;
    color: #900;
    border: 1px solid #f93;
}
body > section > div form  input[type="submit"]:hover {
    cursor: pointer;
    background: #fc6;
    color: #c00;
    border: 1px solid #f60;
}
/** delete form */
body > section form.delete {
    display: inline;
    margin:0;
    padding:0;
}
body > section form.delete > input[type="submit"] {
    display: inline;
    border:0;
    background:transparent;
    margin:0;
    padding:0;
}
/** no bullet list */
body > section > div > ul.no-bullet li, body > section > div > ul.no-bullet li:hover{
    list-style-image: none;      
}
/** list with square image as bullet */
body > section > div ul, body > section > div ol {
    margin-top: 2ex;
    margin-left: 3em;
}
body > section > div ul li {
    list-style-image: url('../images/odrazka.png');    
    margin-bottom: 2ex;
}
body > section > div ul li ul li {
    margin-bottom: 0;
}
body > section > div ol li {
    list-style-type: decimal;
}
body > section > div ul li:hover {
    list-style-image: url('../images/odrazka-seznam.png');    
    /*background: #ff9;*/
}
body > section > div ul > li > ul {        
    margin-left: 1em;
    list-style-type: square;
}
/*** map of the web */
body > section > div ul.map li {    
    line-height: 1.5em;
}
body > section > div ul.map li a {    
    color: #600;
}
body > section > div ul.map > li.header > a {
    color:#003;
}
/*** item: hidden content */
body > section > div > ul > li > aside {    
    margin-left: 1em;
    display: none;
}
body > section > div > ul > li > aside a, body > section > div > ul > li > aside form.delete > input[type="submit"] {    
    color: #600;
}
body > section > div > ul > li > aside form.delete > input[type="submit"]:hover {    
    border: 0;
}
body > section > div > ul li:hover > aside {
    display: block;
    padding: 1ex;
    /*background: #ff9;*/    
    /*float: right;*/
}
body > section > div ul > li > aside > * {    
    margin-right: 1.5em;
}

body > section > div > ul > li > aside.text {
    padding: 1ex;
    display: block;
}

/** Form errors */
body > section > div > aside.errors {
    border-left: 1px solid #c00;
    padding: 1em 1ex;
}
body > section > div > aside.errors > h2 {
    color: #c00;
    margin: 0;
}
body > section > div > aside.errors > ul {
    margin-left: 3em;
}
body > section > div > aside.errors > ul > li {
    list-style-image: url('../images/icons/form-error.png');    
    margin-top: 1ex;

}

/** TABLE */
body > section > div table {
    width: 100%;
    margin: 1ex 0 0 0;
    text-align: center;
}
body .alignLeft {    
    text-align: left;
}
body > section > div table tr {
    border-bottom: 1px solid #fc9;
}
body > section > div table tr:hover {
    border-bottom: 1px solid #ff6;
}
body > section > div table td, body > section > div table th {
    padding: 1ex;
    vertical-align: middle;
}
body > section > div table th, body > section > div > table th > a {    
    text-transform: uppercase;
    color: #003;
    font-size: 0.85em;    
    background: #ffc;
}
/*** Row highlight */
body > section > div table tr.user, body > section > div table tr.user strong {        
    background: #fc9;
    color: #c00;    
}

/** Seeded table */
body > section > div table.seeded td input {
    display:inline;
    text-align: center;
    margin: 0;
}

/** User groups table */
body > section > div > table.user_groups td, body > section > div > table.user_groups th {
    border: 1px solid #fc9;
    border-top:0;
    border-left:0;
    width: 16%;    
    color: #003;
}
body > section > div > table.user_groups th.corner {    
    background: transparent;
}
body > section > div > table.user_groups td.no {    
    background: #c00;
}
body > section > div > table.user_groups td.read {    
    background: #039;
}
body > section > div > table.user_groups td.crud {    
    background: #3c0;
}
/** CROSS TABLE */
table.crossTable {
    border-right: 1px solid #900;
    border-top: 1px solid #900;
    width: auto !important;
}
table.crossTable td, table.crossTable th {
    border-left: 1px solid #900;
    border-bottom: 1px solid #900;
    background: #fff;
}
table.crossTable th {
    background: #ffa;
}
table.crossTable td.no {
    background: #c00 !important;               
}
table.crossTable td.results {
    background: #ffc;
}

/** PLAYFF tree */
body > section > div table.playoff {
    float:left;   
    margin: 0;
    margin-bottom: 1em;
    color: #900;
    width: auto;
}
body > section > div table.playoff tr, body > section > div table.playoff tr:hover, 
body > section > div table.playoff table tr, body > section > div table.playoff table tr:hover {
    border: 0;
}
body > section > div table.playoff table {
    width: 100%;
    margin: 0;
    border:1px solid #900;
}
body > section > div table.playoff table td {
    padding: 0.2ex 1ex;
    background:#fff;
    color: #000;
}
body > section > div table.playoff table td.seeded {
    color: #f93; 
    width: 15px;
    border: 0;
}
body > section > div table.playoff table td.score {
    border-left:1px solid #900;
    background:#ff9;
    color: #c00;    
    width: 20px;
}
body > section > div table.playoff table td.winner {
    color: #c00;
}
/*** Match players statistics - comment */
tr.action_comment th {
    font-size: 0.8em;
    background: transparent;
}
tr.action_comment td:last-child {
    text-align: left;
}
/*** Pagination in Match filtering */
th.pagination input {    
    background: #fff;
    color: #900;
    border: 1px solid #fda;
    margin-left: 1ex;
}
th.pagination input.selected {
    background: #c00;
    color: #fff;
}
th.pagination input:hover { 
    cursor: pointer;
    border: 1px solid #f93;
}

/*** Cell background */
td.yes {
    color:white !important;
    background:green !important;
}
td.no, td.no a {
    color:white !important;
    background:red !important;
}
td.right, th.right {
    text-align: right;
}
td.left, th.left {
    text-align: left;
}
td.checkbox {
    width: 20px;
}
.width20 {
    width:20%
}

/** Competition summary */
#competitionSummary table.players_actions td.value {
    background: #ffa;
    width: 50px;
}
#competitionSummary table.matches tr.match td {
    background: #ffa;
    font-weight: bold;
}
#competitionSummary table.matches tr.match td.score {
    background: #ffc;
    color: #c00;
    font-weight: bold;
}
#competitionSummary table.matches tr.match td.left, #competitionSummary table.matches tr.match td.right {
    color: #000;
}
#competitionSummary table.matches tr.actions td.action {
    text-transform: uppercase;
    font-size: 0.8em;
}

/** Prediction results */
td.exact, td.success, td.fail, td.unknown {width: 5px;}
td.exact{background: #3c0}
td.success {background: green;}
td.fail {background: red;}
td.unknown:after {content: '?';color: #f93;}

/** Time help */
body > section > div aside.help {
    padding: 1em 1ex;
    border-left: 1px solid #039;
}
body > section > div aside.help > h3 {
    margin: 0;
    color: #039;
}

/** Vertical list */
body > section > div ul.vertical {
    margin: 2em auto;
}
body > section > div ul.vertical li {
    list-style: none;
    display: inline-block;
    text-align: center;
    margin: 0 1.5em;
}
body > section > div ul.vertical li > a {
    color: #c00;
}

/** Toogle divs */
body > section div[class^="toogle"]  {
    display:none;
}
body > section div[class^="toogle"][id^="displayed"] {
    display:block;
}
/** Other */
body > section .inline {
    display: inline ;
}

/* FOOTER */
body > footer {
    clear: both;
    padding: 1em 0;
    text-align: right;
    font-size: 0.7em;
    text-transform: uppercase;
}

/* LOGIN page */
body > section > div > div.login {
    margin: 1em 0;    
}
body > section > div > div.login label {
    display:inline-block;
    width: 80px;
}
body > section > div > div.login input {
    display:inline-block;
}
body > section > div hr {
    background: transparent;    
    border: 0;
    border-top: 1px dotted #ff9;    
    margin: 2em 0 1ex 0;
}
body > section > div > div.login > a {
    margin: 0 1em;
}

/* INDEX page */
body > section > div img.right {
    float:right;
    margin-left: 2em;
}


/* JQUERY */
/*!
 * jQuery UI CSS Framework 1.8.21
 *
 * Copyright 2012, AUTHORS.txt (http://jqueryui.com/about)
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 *
 * http://docs.jquery.com/UI/Theming/API
*/

/* Layout helpers
----------------------------------*/
.ui-helper-hidden { display: none; }
.ui-helper-hidden-accessible { position: absolute !important; clip: rect(1px 1px 1px 1px); clip: rect(1px,1px,1px,1px); }
.ui-helper-reset { margin: 0; padding: 0; border: 0; outline: 0; line-height: 1.3; text-decoration: none; font-size: 100%; list-style: none; }
.ui-helper-clearfix:before, .ui-helper-clearfix:after { content: ""; display: table; }
.ui-helper-clearfix:after { clear: both; }
.ui-helper-clearfix { zoom: 1; }
.ui-helper-zfix { width: 100%; height: 100%; top: 0; left: 0; position: absolute; opacity: 0; filter:Alpha(Opacity=0); }


/* Interaction Cues
----------------------------------*/
.ui-state-disabled { cursor: default !important; }


/* Icons
----------------------------------*/

/* states and images */
.ui-icon { display: block; text-indent: -99999px; overflow: hidden; background-repeat: no-repeat; }


/* Misc visuals
----------------------------------*/

/* Overlays */
.ui-widget-overlay { position: absolute; top: 0; left: 0; width: 100%; height: 100%; }


/*!
 * jQuery UI CSS Framework 1.8.21
 *
 * Copyright 2012, AUTHORS.txt (http://jqueryui.com/about)
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 *
 * http://docs.jquery.com/UI/Theming/API
 *
 * To view and modify this theme, visit http://jqueryui.com/themeroller/?ffDefault=Trebuchet%20MS,%20Tahoma,%20Verdana,%20Arial,%20sans-serif&fwDefault=bold&fsDefault=1.1em&cornerRadius=4px&bgColorHeader=f6a828&bgTextureHeader=12_gloss_wave.png&bgImgOpacityHeader=35&borderColorHeader=e78f08&fcHeader=ffffff&iconColorHeader=ffffff&bgColorContent=eeeeee&bgTextureContent=03_highlight_soft.png&bgImgOpacityContent=100&borderColorContent=dddddd&fcContent=333333&iconColorContent=222222&bgColorDefault=f6f6f6&bgTextureDefault=02_glass.png&bgImgOpacityDefault=100&borderColorDefault=cccccc&fcDefault=1c94c4&iconColorDefault=ef8c08&bgColorHover=fdf5ce&bgTextureHover=02_glass.png&bgImgOpacityHover=100&borderColorHover=fbcb09&fcHover=c77405&iconColorHover=ef8c08&bgColorActive=ffffff&bgTextureActive=02_glass.png&bgImgOpacityActive=65&borderColorActive=fbd850&fcActive=eb8f00&iconColorActive=ef8c08&bgColorHighlight=ffe45c&bgTextureHighlight=03_highlight_soft.png&bgImgOpacityHighlight=75&borderColorHighlight=fed22f&fcHighlight=363636&iconColorHighlight=228ef1&bgColorError=b81900&bgTextureError=08_diagonals_thick.png&bgImgOpacityError=18&borderColorError=cd0a0a&fcError=ffffff&iconColorError=ffd27a&bgColorOverlay=666666&bgTextureOverlay=08_diagonals_thick.png&bgImgOpacityOverlay=20&opacityOverlay=50&bgColorShadow=000000&bgTextureShadow=01_flat.png&bgImgOpacityShadow=10&opacityShadow=20&thicknessShadow=5px&offsetTopShadow=-5px&offsetLeftShadow=-5px&cornerRadiusShadow=5px
*/


/* Component containers
----------------------------------*/
.ui-widget { font-family: Trebuchet MS, Tahoma, Verdana, Arial, sans-serif; font-size: 1.1em; }
.ui-widget .ui-widget { font-size: 1em; }
.ui-widget input, .ui-widget select, .ui-widget textarea, .ui-widget button { font-family: Trebuchet MS, Tahoma, Verdana, Arial, sans-serif; font-size: 1em; }
.ui-widget-content { border: 1px solid #dddddd; background: #eeeeee url(../images/jquery/ui-bg_highlight-soft_100_eeeeee_1x100.png) 50% top repeat-x; color: #333333; }
.ui-widget-content a { color: #333333; }
.ui-widget-header { border: 1px solid #e78f08; background: #f6a828 url(../images/jquery/ui-bg_gloss-wave_35_f6a828_500x100.png) 50% 50% repeat-x; color: #ffffff; font-weight: bold; }
.ui-widget-header a { color: #ffffff; }

/* Interaction states
----------------------------------*/
.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default { border: 1px solid #cccccc; background: #f6f6f6 url(../images/jquery/ui-bg_glass_100_f6f6f6_1x400.png) 50% 50% repeat-x; font-weight: bold; color: #1c94c4; }
.ui-state-default a, .ui-state-default a:link, .ui-state-default a:visited { color: #1c94c4; text-decoration: none; }
.ui-state-hover, .ui-widget-content .ui-state-hover, .ui-widget-header .ui-state-hover, .ui-state-focus, .ui-widget-content .ui-state-focus, .ui-widget-header .ui-state-focus { border: 1px solid #fbcb09; background: #fdf5ce url(../images/jquery/ui-bg_glass_100_fdf5ce_1x400.png) 50% 50% repeat-x; font-weight: bold; color: #c77405; }
.ui-state-hover a, .ui-state-hover a:hover { color: #c77405; text-decoration: none; }
.ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active { border: 1px solid #fbd850; background: #ffffff url(../images/jquery/ui-bg_glass_65_ffffff_1x400.png) 50% 50% repeat-x; font-weight: bold; color: #eb8f00; }
.ui-state-active a, .ui-state-active a:link, .ui-state-active a:visited { color: #eb8f00; text-decoration: none; }
.ui-widget :active { outline: none; }

/* Interaction Cues
----------------------------------*/
.ui-state-highlight, .ui-widget-content .ui-state-highlight, .ui-widget-header .ui-state-highlight  {border: 1px solid #fed22f; background: #ffe45c url(../images/jquery/ui-bg_highlight-soft_75_ffe45c_1x100.png) 50% top repeat-x; color: #363636; }
.ui-state-highlight a, .ui-widget-content .ui-state-highlight a,.ui-widget-header .ui-state-highlight a { color: #363636; }
.ui-state-error, .ui-widget-content .ui-state-error, .ui-widget-header .ui-state-error {border: 1px solid #cd0a0a; background: #b81900 url(../images/jquery/ui-bg_diagonals-thick_18_b81900_40x40.png) 50% 50% repeat; color: #ffffff; }
.ui-state-error a, .ui-widget-content .ui-state-error a, .ui-widget-header .ui-state-error a { color: #ffffff; }
.ui-state-error-text, .ui-widget-content .ui-state-error-text, .ui-widget-header .ui-state-error-text { color: #ffffff; }
.ui-priority-primary, .ui-widget-content .ui-priority-primary, .ui-widget-header .ui-priority-primary { font-weight: bold; }
.ui-priority-secondary, .ui-widget-content .ui-priority-secondary,  .ui-widget-header .ui-priority-secondary { opacity: .7; filter:Alpha(Opacity=70); font-weight: normal; }
.ui-state-disabled, .ui-widget-content .ui-state-disabled, .ui-widget-header .ui-state-disabled { opacity: .35; filter:Alpha(Opacity=35); background-image: none; }

/* Icons
----------------------------------*/

/* states and images */
.ui-icon { width: 16px; height: 16px; background-image: url(../images/jquery/ui-icons_222222_256x240.png); }
.ui-widget-content .ui-icon {background-image: url(../images/jquery/ui-icons_222222_256x240.png); }
.ui-widget-header .ui-icon {background-image: url(../images/jquery/ui-icons_ffffff_256x240.png); }
.ui-state-default .ui-icon { background-image: url(../images/jquery/ui-icons_ef8c08_256x240.png); }
.ui-state-hover .ui-icon, .ui-state-focus .ui-icon {background-image: url(../images/jquery/ui-icons_ef8c08_256x240.png); }
.ui-state-active .ui-icon {background-image: url(../images/jquery/ui-icons_ef8c08_256x240.png); }
.ui-state-highlight .ui-icon {background-image: url(../images/jquery/ui-icons_228ef1_256x240.png); }
.ui-state-error .ui-icon, .ui-state-error-text .ui-icon {background-image: url(../images/jquery/ui-icons_ffd27a_256x240.png); }

/* positioning */
.ui-icon-carat-1-n { background-position: 0 0; }
.ui-icon-carat-1-ne { background-position: -16px 0; }
.ui-icon-carat-1-e { background-position: -32px 0; }
.ui-icon-carat-1-se { background-position: -48px 0; }
.ui-icon-carat-1-s { background-position: -64px 0; }
.ui-icon-carat-1-sw { background-position: -80px 0; }
.ui-icon-carat-1-w { background-position: -96px 0; }
.ui-icon-carat-1-nw { background-position: -112px 0; }
.ui-icon-carat-2-n-s { background-position: -128px 0; }
.ui-icon-carat-2-e-w { background-position: -144px 0; }
.ui-icon-triangle-1-n { background-position: 0 -16px; }
.ui-icon-triangle-1-ne { background-position: -16px -16px; }
.ui-icon-triangle-1-e { background-position: -32px -16px; }
.ui-icon-triangle-1-se { background-position: -48px -16px; }
.ui-icon-triangle-1-s { background-position: -64px -16px; }
.ui-icon-triangle-1-sw { background-position: -80px -16px; }
.ui-icon-triangle-1-w { background-position: -96px -16px; }
.ui-icon-triangle-1-nw { background-position: -112px -16px; }
.ui-icon-triangle-2-n-s { background-position: -128px -16px; }
.ui-icon-triangle-2-e-w { background-position: -144px -16px; }
.ui-icon-arrow-1-n { background-position: 0 -32px; }
.ui-icon-arrow-1-ne { background-position: -16px -32px; }
.ui-icon-arrow-1-e { background-position: -32px -32px; }
.ui-icon-arrow-1-se { background-position: -48px -32px; }
.ui-icon-arrow-1-s { background-position: -64px -32px; }
.ui-icon-arrow-1-sw { background-position: -80px -32px; }
.ui-icon-arrow-1-w { background-position: -96px -32px; }
.ui-icon-arrow-1-nw { background-position: -112px -32px; }
.ui-icon-arrow-2-n-s { background-position: -128px -32px; }
.ui-icon-arrow-2-ne-sw { background-position: -144px -32px; }
.ui-icon-arrow-2-e-w { background-position: -160px -32px; }
.ui-icon-arrow-2-se-nw { background-position: -176px -32px; }
.ui-icon-arrowstop-1-n { background-position: -192px -32px; }
.ui-icon-arrowstop-1-e { background-position: -208px -32px; }
.ui-icon-arrowstop-1-s { background-position: -224px -32px; }
.ui-icon-arrowstop-1-w { background-position: -240px -32px; }
.ui-icon-arrowthick-1-n { background-position: 0 -48px; }
.ui-icon-arrowthick-1-ne { background-position: -16px -48px; }
.ui-icon-arrowthick-1-e { background-position: -32px -48px; }
.ui-icon-arrowthick-1-se { background-position: -48px -48px; }
.ui-icon-arrowthick-1-s { background-position: -64px -48px; }
.ui-icon-arrowthick-1-sw { background-position: -80px -48px; }
.ui-icon-arrowthick-1-w { background-position: -96px -48px; }
.ui-icon-arrowthick-1-nw { background-position: -112px -48px; }
.ui-icon-arrowthick-2-n-s { background-position: -128px -48px; }
.ui-icon-arrowthick-2-ne-sw { background-position: -144px -48px; }
.ui-icon-arrowthick-2-e-w { background-position: -160px -48px; }
.ui-icon-arrowthick-2-se-nw { background-position: -176px -48px; }
.ui-icon-arrowthickstop-1-n { background-position: -192px -48px; }
.ui-icon-arrowthickstop-1-e { background-position: -208px -48px; }
.ui-icon-arrowthickstop-1-s { background-position: -224px -48px; }
.ui-icon-arrowthickstop-1-w { background-position: -240px -48px; }
.ui-icon-arrowreturnthick-1-w { background-position: 0 -64px; }
.ui-icon-arrowreturnthick-1-n { background-position: -16px -64px; }
.ui-icon-arrowreturnthick-1-e { background-position: -32px -64px; }
.ui-icon-arrowreturnthick-1-s { background-position: -48px -64px; }
.ui-icon-arrowreturn-1-w { background-position: -64px -64px; }
.ui-icon-arrowreturn-1-n { background-position: -80px -64px; }
.ui-icon-arrowreturn-1-e { background-position: -96px -64px; }
.ui-icon-arrowreturn-1-s { background-position: -112px -64px; }
.ui-icon-arrowrefresh-1-w { background-position: -128px -64px; }
.ui-icon-arrowrefresh-1-n { background-position: -144px -64px; }
.ui-icon-arrowrefresh-1-e { background-position: -160px -64px; }
.ui-icon-arrowrefresh-1-s { background-position: -176px -64px; }
.ui-icon-arrow-4 { background-position: 0 -80px; }
.ui-icon-arrow-4-diag { background-position: -16px -80px; }
.ui-icon-extlink { background-position: -32px -80px; }
.ui-icon-newwin { background-position: -48px -80px; }
.ui-icon-refresh { background-position: -64px -80px; }
.ui-icon-shuffle { background-position: -80px -80px; }
.ui-icon-transfer-e-w { background-position: -96px -80px; }
.ui-icon-transferthick-e-w { background-position: -112px -80px; }
.ui-icon-folder-collapsed { background-position: 0 -96px; }
.ui-icon-folder-open { background-position: -16px -96px; }
.ui-icon-document { background-position: -32px -96px; }
.ui-icon-document-b { background-position: -48px -96px; }
.ui-icon-note { background-position: -64px -96px; }
.ui-icon-mail-closed { background-position: -80px -96px; }
.ui-icon-mail-open { background-position: -96px -96px; }
.ui-icon-suitcase { background-position: -112px -96px; }
.ui-icon-comment { background-position: -128px -96px; }
.ui-icon-person { background-position: -144px -96px; }
.ui-icon-print { background-position: -160px -96px; }
.ui-icon-trash { background-position: -176px -96px; }
.ui-icon-locked { background-position: -192px -96px; }
.ui-icon-unlocked { background-position: -208px -96px; }
.ui-icon-bookmark { background-position: -224px -96px; }
.ui-icon-tag { background-position: -240px -96px; }
.ui-icon-home { background-position: 0 -112px; }
.ui-icon-flag { background-position: -16px -112px; }
.ui-icon-calendar { background-position: -32px -112px; }
.ui-icon-cart { background-position: -48px -112px; }
.ui-icon-pencil { background-position: -64px -112px; }
.ui-icon-clock { background-position: -80px -112px; }
.ui-icon-disk { background-position: -96px -112px; }
.ui-icon-calculator { background-position: -112px -112px; }
.ui-icon-zoomin { background-position: -128px -112px; }
.ui-icon-zoomout { background-position: -144px -112px; }
.ui-icon-search { background-position: -160px -112px; }
.ui-icon-wrench { background-position: -176px -112px; }
.ui-icon-gear { background-position: -192px -112px; }
.ui-icon-heart { background-position: -208px -112px; }
.ui-icon-star { background-position: -224px -112px; }
.ui-icon-link { background-position: -240px -112px; }
.ui-icon-cancel { background-position: 0 -128px; }
.ui-icon-plus { background-position: -16px -128px; }
.ui-icon-plusthick { background-position: -32px -128px; }
.ui-icon-minus { background-position: -48px -128px; }
.ui-icon-minusthick { background-position: -64px -128px; }
.ui-icon-close { background-position: -80px -128px; }
.ui-icon-closethick { background-position: -96px -128px; }
.ui-icon-key { background-position: -112px -128px; }
.ui-icon-lightbulb { background-position: -128px -128px; }
.ui-icon-scissors { background-position: -144px -128px; }
.ui-icon-clipboard { background-position: -160px -128px; }
.ui-icon-copy { background-position: -176px -128px; }
.ui-icon-contact { background-position: -192px -128px; }
.ui-icon-image { background-position: -208px -128px; }
.ui-icon-video { background-position: -224px -128px; }
.ui-icon-script { background-position: -240px -128px; }
.ui-icon-alert { background-position: 0 -144px; }
.ui-icon-info { background-position: -16px -144px; }
.ui-icon-notice { background-position: -32px -144px; }
.ui-icon-help { background-position: -48px -144px; }
.ui-icon-check { background-position: -64px -144px; }
.ui-icon-bullet { background-position: -80px -144px; }
.ui-icon-radio-off { background-position: -96px -144px; }
.ui-icon-radio-on { background-position: -112px -144px; }
.ui-icon-pin-w { background-position: -128px -144px; }
.ui-icon-pin-s { background-position: -144px -144px; }
.ui-icon-play { background-position: 0 -160px; }
.ui-icon-pause { background-position: -16px -160px; }
.ui-icon-seek-next { background-position: -32px -160px; }
.ui-icon-seek-prev { background-position: -48px -160px; }
.ui-icon-seek-end { background-position: -64px -160px; }
.ui-icon-seek-start { background-position: -80px -160px; }
/* ui-icon-seek-first is deprecated, use ui-icon-seek-start instead */
.ui-icon-seek-first { background-position: -80px -160px; }
.ui-icon-stop { background-position: -96px -160px; }
.ui-icon-eject { background-position: -112px -160px; }
.ui-icon-volume-off { background-position: -128px -160px; }
.ui-icon-volume-on { background-position: -144px -160px; }
.ui-icon-power { background-position: 0 -176px; }
.ui-icon-signal-diag { background-position: -16px -176px; }
.ui-icon-signal { background-position: -32px -176px; }
.ui-icon-battery-0 { background-position: -48px -176px; }
.ui-icon-battery-1 { background-position: -64px -176px; }
.ui-icon-battery-2 { background-position: -80px -176px; }
.ui-icon-battery-3 { background-position: -96px -176px; }
.ui-icon-circle-plus { background-position: 0 -192px; }
.ui-icon-circle-minus { background-position: -16px -192px; }
.ui-icon-circle-close { background-position: -32px -192px; }
.ui-icon-circle-triangle-e { background-position: -48px -192px; }
.ui-icon-circle-triangle-s { background-position: -64px -192px; }
.ui-icon-circle-triangle-w { background-position: -80px -192px; }
.ui-icon-circle-triangle-n { background-position: -96px -192px; }
.ui-icon-circle-arrow-e { background-position: -112px -192px; }
.ui-icon-circle-arrow-s { background-position: -128px -192px; }
.ui-icon-circle-arrow-w { background-position: -144px -192px; }
.ui-icon-circle-arrow-n { background-position: -160px -192px; }
.ui-icon-circle-zoomin { background-position: -176px -192px; }
.ui-icon-circle-zoomout { background-position: -192px -192px; }
.ui-icon-circle-check { background-position: -208px -192px; }
.ui-icon-circlesmall-plus { background-position: 0 -208px; }
.ui-icon-circlesmall-minus { background-position: -16px -208px; }
.ui-icon-circlesmall-close { background-position: -32px -208px; }
.ui-icon-squaresmall-plus { background-position: -48px -208px; }
.ui-icon-squaresmall-minus { background-position: -64px -208px; }
.ui-icon-squaresmall-close { background-position: -80px -208px; }
.ui-icon-grip-dotted-vertical { background-position: 0 -224px; }
.ui-icon-grip-dotted-horizontal { background-position: -16px -224px; }
.ui-icon-grip-solid-vertical { background-position: -32px -224px; }
.ui-icon-grip-solid-horizontal { background-position: -48px -224px; }
.ui-icon-gripsmall-diagonal-se { background-position: -64px -224px; }
.ui-icon-grip-diagonal-se { background-position: -80px -224px; }


/* Misc visuals
----------------------------------*/

/* Corner radius */
.ui-corner-all, .ui-corner-top, .ui-corner-left, .ui-corner-tl { -moz-border-radius-topleft: 4px; -webkit-border-top-left-radius: 4px; -khtml-border-top-left-radius: 4px; border-top-left-radius: 4px; }
.ui-corner-all, .ui-corner-top, .ui-corner-right, .ui-corner-tr { -moz-border-radius-topright: 4px; -webkit-border-top-right-radius: 4px; -khtml-border-top-right-radius: 4px; border-top-right-radius: 4px; }
.ui-corner-all, .ui-corner-bottom, .ui-corner-left, .ui-corner-bl { -moz-border-radius-bottomleft: 4px; -webkit-border-bottom-left-radius: 4px; -khtml-border-bottom-left-radius: 4px; border-bottom-left-radius: 4px; }
.ui-corner-all, .ui-corner-bottom, .ui-corner-right, .ui-corner-br { -moz-border-radius-bottomright: 4px; -webkit-border-bottom-right-radius: 4px; -khtml-border-bottom-right-radius: 4px; border-bottom-right-radius: 4px; }

/* Overlays */
.ui-widget-overlay { background: #666666 url(../images/jquery/ui-bg_diagonals-thick_20_666666_40x40.png) 50% 50% repeat; opacity: .50;filter:Alpha(Opacity=50); }
.ui-widget-shadow { margin: -5px 0 0 -5px; padding: 5px; background: #000000 url(../images/jquery/ui-bg_flat_10_000000_40x100.png) 50% 50% repeat-x; opacity: .20;filter:Alpha(Opacity=20); -moz-border-radius: 5px; -khtml-border-radius: 5px; -webkit-border-radius: 5px; border-radius: 5px; }/*!
 * jQuery UI Datepicker 1.8.21
 *
 * Copyright 2012, AUTHORS.txt (http://jqueryui.com/about)
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 *
 * http://docs.jquery.com/UI/Datepicker#theming
*/
.ui-datepicker { width: 17em; padding: .2em .2em 0; display: none; }
.ui-datepicker .ui-datepicker-header { position:relative; padding:.2em 0; }
.ui-datepicker .ui-datepicker-prev, .ui-datepicker .ui-datepicker-next { position:absolute; top: 2px; width: 1.8em; height: 1.8em; }
.ui-datepicker .ui-datepicker-prev-hover, .ui-datepicker .ui-datepicker-next-hover { top: 1px; }
.ui-datepicker .ui-datepicker-prev { left:2px; }
.ui-datepicker .ui-datepicker-next { right:2px; }
.ui-datepicker .ui-datepicker-prev-hover { left:1px; }
.ui-datepicker .ui-datepicker-next-hover { right:1px; }
.ui-datepicker .ui-datepicker-prev span, .ui-datepicker .ui-datepicker-next span { display: block; position: absolute; left: 50%; margin-left: -8px; top: 50%; margin-top: -8px;  }
.ui-datepicker .ui-datepicker-title { margin: 0 2.3em; line-height: 1.8em; text-align: center; }
.ui-datepicker .ui-datepicker-title select { font-size:1em; margin:1px 0; }
.ui-datepicker select.ui-datepicker-month-year {width: 100%;}
.ui-datepicker select.ui-datepicker-month, 
.ui-datepicker select.ui-datepicker-year { width: 49%;}
.ui-datepicker table {width: 100%; font-size: .9em; border-collapse: collapse; margin:0 0 .4em; }
.ui-datepicker th { padding: .7em .3em; text-align: center; font-weight: bold; border: 0;  }
.ui-datepicker td { border: 0; padding: 1px; }
.ui-datepicker td span, .ui-datepicker td a { display: block; padding: .2em; text-align: right; text-decoration: none; }
.ui-datepicker .ui-datepicker-buttonpane { background-image: none; margin: .7em 0 0 0; padding:0 .2em; border-left: 0; border-right: 0; border-bottom: 0; }
.ui-datepicker .ui-datepicker-buttonpane button { float: right; margin: .5em .2em .4em; cursor: pointer; padding: .2em .6em .3em .6em; width:auto; overflow:visible; }
.ui-datepicker .ui-datepicker-buttonpane button.ui-datepicker-current { float:left; }

/* with multiple calendars */
.ui-datepicker.ui-datepicker-multi { width:auto; }
.ui-datepicker-multi .ui-datepicker-group { float:left; }
.ui-datepicker-multi .ui-datepicker-group table { width:95%; margin:0 auto .4em; }
.ui-datepicker-multi-2 .ui-datepicker-group { width:50%; }
.ui-datepicker-multi-3 .ui-datepicker-group { width:33.3%; }
.ui-datepicker-multi-4 .ui-datepicker-group { width:25%; }
.ui-datepicker-multi .ui-datepicker-group-last .ui-datepicker-header { border-left-width:0; }
.ui-datepicker-multi .ui-datepicker-group-middle .ui-datepicker-header { border-left-width:0; }
.ui-datepicker-multi .ui-datepicker-buttonpane { clear:left; }
.ui-datepicker-row-break { clear:both; width:100%; font-size:0em; }

/* RTL support */
.ui-datepicker-rtl { direction: rtl; }
.ui-datepicker-rtl .ui-datepicker-prev { right: 2px; left: auto; }
.ui-datepicker-rtl .ui-datepicker-next { left: 2px; right: auto; }
.ui-datepicker-rtl .ui-datepicker-prev:hover { right: 1px; left: auto; }
.ui-datepicker-rtl .ui-datepicker-next:hover { left: 1px; right: auto; }
.ui-datepicker-rtl .ui-datepicker-buttonpane { clear:right; }
.ui-datepicker-rtl .ui-datepicker-buttonpane button { float: left; }
.ui-datepicker-rtl .ui-datepicker-buttonpane button.ui-datepicker-current { float:right; }
.ui-datepicker-rtl .ui-datepicker-group { float:right; }
.ui-datepicker-rtl .ui-datepicker-group-last .ui-datepicker-header { border-right-width:0; border-left-width:1px; }
.ui-datepicker-rtl .ui-datepicker-group-middle .ui-datepicker-header { border-right-width:0; border-left-width:1px; }

/* IE6 IFRAME FIX (taken from datepicker 1.5.3 */
.ui-datepicker-cover {
    display: none; /*sorry for IE5*/
    display/**/: block; /*sorry for IE5*/
    position: absolute; /*must have*/
    z-index: -1; /*must have*/
    filter: mask(); /*must have*/
    top: -4px; /*must have*/
    left: -4px; /*must have*/
    width: 200px; /*must have*/
    height: 200px; /*must have*/
}

/** Datetime picker */
.ui-timepicker-div .ui-widget-header { margin-bottom: 8px; }
.ui-timepicker-div dl { text-align: left; }
.ui-timepicker-div dl dt { height: 25px; margin-bottom: -25px; }
.ui-timepicker-div dl dd { margin: 0 10px 10px 65px; }
.ui-timepicker-div td { font-size: 90%; }
.ui-tpicker-grid-label { background: none; border: none; margin: 0; padding: 0; }

/* Slider
----------------------------------*/
.ui-slider { position: relative; text-align: left; }
.ui-slider .ui-slider-handle { position: absolute; z-index: 2; width: 1.2em; height: 1.2em; cursor: default; }
.ui-slider .ui-slider-range { position: absolute; z-index: 1; font-size: .7em; display: block; border: 0; background-position: 0 0; }

.ui-slider-horizontal { height: .8em; }
.ui-slider-horizontal .ui-slider-handle { top: -.3em; margin-left: -.6em; }
.ui-slider-horizontal .ui-slider-range { top: 0; height: 100%; }
.ui-slider-horizontal .ui-slider-range-min { left: 0; }
.ui-slider-horizontal .ui-slider-range-max { right: 0; }

.ui-slider-vertical { width: .8em; height: 100px; }
.ui-slider-vertical .ui-slider-handle { left: -.3em; margin-left: 0; margin-bottom: -.6em; }
.ui-slider-vertical .ui-slider-range { left: 0; width: 100%; }
.ui-slider-vertical .ui-slider-range-min { bottom: 0; }
.ui-slider-vertical .ui-slider-range-max { top: 0; }

.ui-datepicker-trigger {vertical-align : top;}